/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __surface_SurfaceTrianglesAccessible_h__
#define __surface_SurfaceTrianglesAccessible_h__

namespace fe
{

/**************************************************************************//**
	@brief Triangle Surface from generic SurfaceAccessibleI

	@ingroup surface
*//***************************************************************************/
class FE_DL_EXPORT SurfaceTrianglesAccessible: public SurfaceTriangles
{
	public:

								SurfaceTrianglesAccessible(void)			{}
virtual							~SurfaceTrianglesAccessible(void)			{}

virtual	void					cache(void);

		void					bind(sp<SurfaceAccessibleI>
										a_spSurfaceAccessibleI);

	private:
		sp<SurfaceAccessibleI>	m_spSurfaceAccessibleI;
};

} // namespace

#endif /* __surface_SurfaceTrianglesAccessible_h__ */
